<?php
/**
*
* Force Account Reactivation. An extension for the phpBB Forum Software package.
*
* @copyright (c) 2024, LukeWCS, https://www.wcsaga.org/
* @copyright (c) 2024 French translation by Fred Rimbert https://forums.caforum.fr
* @license GNU General Public License, version 2 (GPL-2.0)
*
* Note: This extension is 100% genuine handcraft and consists of selected
*       natural raw materials. There was no AI involved in making it.
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ « » “ ” … „ “

$lang = array_merge($lang, [
	'FORACCREA_CONFIG_TITLE'			    => 'Forcer la réactivation du compte',
	'FORACCREA_CONFIG_DESC'				    => 'Depuis cette page, vous pouvez modifier les paramètres de l‘extension <strong>%s</strong>.',
	
	'FORACCREA_SERVICES_REQUIRED'		    => 'Services phpBB requis',
	'FORACCREA_SERVICES_OPTIONAL'		    => 'Services phpBB en option',	

	'FORACCREA_SETTINGS_TITLE'			    => 'Paramètres',
	'FORACCREA_ENABLE'					    => 'Activer la fonction',
	'FORACCREA_ENABLE_EXPLAIN'			    => 'Ce commutateur vous permet de désactiver la réactivation forcée du compte sans avoir à désactiver complètement l‘extension.',
	'FORACCREA_TIME_RANGE'				    => 'Période de validité',
	'FORACCREA_TIME_RANGE_EXPLAIN'		    => 'Ici, vous pouvez spécifier la durée maximale depuis laquelle un compte utilisateur a été connecté pour la dernière fois avant que la réactivation ne soit forcée.',
	'FORACCREA_TIME_RANGE_YEARS'		    => 'Ans',
	'FORACCREA_TIME_RANGE_MONTHS'		    => 'Mois',
	'FORACCREA_CONSIDER_NON_LOGIN'			=> 'Considérez les comptes d‘utilisateurs sans connexion',
	'FORACCREA_CONSIDER_NON_LOGIN_EXPLAIN'	=> 'Si ce commutateur est activé, les comptes d‘utilisateurs qui n‘ont jamais été connectés seront également pris en compte. Pour ces comptes, la date d‘inscription compte comme la dernière connexion.',	
	'FORACCREA_EXCLUDE_GROUPS'			    => 'Exclure des groupes',
	'FORACCREA_EXCLUDE_GROUPS_EXPLAIN'	    => 'Ici, vous pouvez sélectionner les groupes à exclure d‘une réactivation forcée de compte. Les fondateurs et les robots sont généralement exclus. Si un utilisateur est membre d‘un groupe exclu, il sera exclu même s‘il ne l‘est pas dans d‘autres groupes.',
	'FORACCREA_EXCLUDE_NRU'				    => 'Exclure les « utilisateurs nouvellement enregistrés »',
	'FORACCREA_EXCLUDE_NRU_EXPLAIN'		    => 'Si un utilisateur est membre de ce groupe, la sélection effectuée pour « Exclure les groupes » n‘a pas d‘importance, car seul ce commutateur est pertinent.',

	'FORACCREA_MULTISELECT_EXPLAIN'		    => 'Vous pouvez effectuer plusieurs sélections ou désélectionner des entrées individuelles en maintenant enfoncée la touche « Ctrl » (« cmd » sur macOS).',

	'FORACCREA_MSG_SAVED_SETTINGS'		    => 'Forcer la réactivation du compte : paramètres enregistrés avec succès',
]);
